<template>
  <v-app>
    <!-- App Bar -->
    <v-app-bar app color="indigo" dark>
      <v-app-bar-nav-icon @click="drawer = !drawer"></v-app-bar-nav-icon>
      <v-toolbar-title>Grove Dashboard</v-toolbar-title>
      <v-spacer></v-spacer>
      <v-btn icon>
        <v-icon>mdi-magnify</v-icon>
      </v-btn>
      <v-btn icon>
        <v-icon>mdi-bell</v-icon>
      </v-btn>
      <v-btn icon>
        <v-icon>mdi-account</v-icon>
      </v-btn>
    </v-app-bar>

    <!-- Navigation Drawer -->
    <v-navigation-drawer v-model="drawer" app>
      <v-list dense>
        <v-list-item link v-for="item in menuItems" :key="item.title" :to="item.route">
          <v-list-item-icon>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>

    <!-- Main Content -->
    <v-main>
      <!-- <v-container fluid> -->
        <nuxt />
      <!-- </v-container> -->
    </v-main>

    <!-- Footer -->
    <v-footer padless>
      <v-col class="text-center" cols="12">
        Grove © {{ new Date().getFullYear() }}
      </v-col>
    </v-footer>
  </v-app>
</template>

<script>
export default {
  data() {
    return {
      drawer: false,
      menuItems: [
        { title: 'Dashboard', icon: 'mdi-view-dashboard', route: '/' },
        { title: 'Projects', icon: 'mdi-folder', route: '/projects' },
        { title: 'Stacks', icon: 'mdi-stack-overflow', route: '/stacks' },
        { title: 'Settings', icon: 'mdi-settings', route: '/settings' },
        // Add more menu items as needed
      ],
    };
  },
};
</script>

<style scoped>
/* Add custom styles here */
</style>

